net.sf.jasperreports.engine.export

## Class JRXlsMetadataExporter.CellSettings

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRXlsMetadataExporter.CellSettings

- Enclosing class:
    JRXlsMetadataExporter

      protected class JRXlsMetadataExporter.CellSettings
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXlsMetadataExporter.CellSettings()`
    `JRXlsMetadataExporter.CellSettings(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)`
    `JRXlsMetadataExporter.CellSettings(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue)`
    `JRXlsMetadataExporter.CellSettings(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue, java.lang.String formula)`
    `JRXlsMetadataExporter.CellSettings(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue, java.lang.String formula, org.apache.poi.ss.usermodel.Hyperlink link)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getCellStyle()`
    `int` | `getCellType()`
    `java.lang.Object` | `getCellValue()`
    `java.lang.String` | `getFormula()`
    `org.apache.poi.ss.usermodel.Hyperlink` | `getLink()`
    `void` | `importValues(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue)`
    `void` | `importValues(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue, java.lang.String formula)`
    `void` | `importValues(int cellType, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.lang.Object cellValue, java.lang.String formula, org.apache.poi.ss.usermodel.Hyperlink link)`
    `void` | `setCellStyle(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)`
    `void` | `setCellType(int cellType)`
    `void` | `setCellValue(java.lang.Object cellValue)`
    `void` | `setFormula(java.lang.String formula)`
    `void` | `setLink(org.apache.poi.ss.usermodel.Hyperlink link)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXlsMetadataExporter.CellSettings

          public JRXlsMetadataExporter.CellSettings()

    - #### JRXlsMetadataExporter.CellSettings

          public JRXlsMetadataExporter.CellSettings(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)

    - #### JRXlsMetadataExporter.CellSettings

          public JRXlsMetadataExporter.CellSettings(int cellType,
                                            org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                                            java.lang.Object cellValue)

    - #### JRXlsMetadataExporter.CellSettings

          public JRXlsMetadataExporter.CellSettings(int cellType,
                                            org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                                            java.lang.Object cellValue,
                                            java.lang.String formula)

    - #### JRXlsMetadataExporter.CellSettings

          public JRXlsMetadataExporter.CellSettings(int cellType,
                                            org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                                            java.lang.Object cellValue,
                                            java.lang.String formula,
                                            org.apache.poi.ss.usermodel.Hyperlink link)

  - ### Method Detail

    - #### getCellStyle

          public org.apache.poi.hssf.usermodel.HSSFCellStyle getCellStyle()

    - #### setCellStyle

          public void setCellStyle(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)

    - #### getCellType

          public int getCellType()

    - #### setCellType

          public void setCellType(int cellType)

    - #### getCellValue

          public java.lang.Object getCellValue()

    - #### setCellValue

          public void setCellValue(java.lang.Object cellValue)

    - #### getFormula

          public java.lang.String getFormula()

    - #### setFormula

          public void setFormula(java.lang.String formula)

    - #### getLink

          public org.apache.poi.ss.usermodel.Hyperlink getLink()

    - #### setLink

          public void setLink(org.apache.poi.ss.usermodel.Hyperlink link)

    - #### importValues

          public void importValues(int cellType,
                          org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                          java.lang.Object cellValue)

    - #### importValues

          public void importValues(int cellType,
                          org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                          java.lang.Object cellValue,
                          java.lang.String formula)

    - #### importValues

          public void importValues(int cellType,
                          org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                          java.lang.Object cellValue,
                          java.lang.String formula,
                          org.apache.poi.ss.usermodel.Hyperlink link)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com